.RadTreeView {
  white-space: nowrap;
  cursor: default;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent; }
  .RadTreeView .rtSp, .RadTreeView .rtIn, .RadTreeView .rtImg, .RadTreeView .rtChk,
  .RadTreeView .rtChecked,
  .RadTreeView .rtUnchecked,
  .RadTreeView .rtIndeterminate, .RadTreeView .rtLoadingIcon {
    display: inline-block;
    vertical-align: middle; }
  .RadTreeView .rtTemplate, .RadTreeView input, .RadTreeView .rtEdit input {
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text; }
  .RadTreeView .rtUL {
    margin: 0;
    padding: 0;
    background: none;
    list-style: none; }
  .RadTreeView .rtUL .rtUL {
    padding-left: 20px; }
  .RadTreeView .rtTop,
  .RadTreeView .rtMid,
  .RadTreeView .rtBot {
    padding: 1px 0 1px 20px; }
  .RadTreeView .rtSp {
    margin-left: -1px;
    width: 1px;
    height: 22px; }
  .RadTreeView .rtIn {
    margin-left: 1px;
    padding: 2px 2px 3px;
    *padding: 2px;
    border: 1px solid transparent;
    background-position: 0 0;
    background-repeat: repeat-x;
    text-decoration: none;
    display: inline; }
  .RadTreeView a.rtIn {
    color: inherit;
    cursor: pointer; }
  .RadTreeView div.rtIn {
    display: inline-block;
    vertical-align: top; }
  * + html .RadTreeView div.rtIn {
    display: inline;
    zoom: 1; }
  .RadTreeView .rtChk,
  .RadTreeView .rtChecked,
  .RadTreeView .rtUnchecked,
  .RadTreeView .rtIndeterminate {
    margin: 0 3px;
    padding: 0;
    width: 13px;
    height: 13px; }
  .RadTreeView .rtUnchecked {
    background-position: 0 0; }
  .RadTreeView .rtChecked {
    background-position: 0 -40px; }
  .RadTreeView .rtIndeterminate {
    background-position: 0 -80px; }
  .RadTreeView .rtTemplate:after {
    content: "";
    clear: both;
    display: block; }
  .RadTreeView .rtHover .rtIn {
    background-position: 0 -1000px \9; }
  .RadTreeView .rtSelected .rtIn {
    background-position: 0 -2000px \9; }
  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    .RadTreeView .rtHover .rtIn,
    .RadTreeView .rtSelected .rtIn {
      background-position: 0 0; } }
  .RadTreeView .rtEdit {
    white-space: nowrap !important; }
  .RadTreeView .rtEdit input {
    margin: 0;
    padding: 0;
    height: 1.4em;
    border: 0;
    outline: 0;
    color: inherit;
    background: none;
    font: inherit;
    line-height: 1.4em;
    cursor: text; }
  .RadTreeView .rtLoadingIcon {
    margin: -4px 3px 0;
    *margin: 0 3px;
    width: 16px;
    height: 16px;
    overflow: hidden;
    text-indent: -9999px;
    *text-indent: 0;
    font-size: 0;
    background-position: 0 0;
    background-repeat: no-repeat; }
  .RadTreeView .rtLoadingBelow {
    display: block; }
  .RadTreeView .rtPlus,
  .RadTreeView .rtMinus {
    margin: 5px 6px 0 -17px;
    padding: 0;
    width: 11px;
    height: 11px;
    background-repeat: no-repeat;
    font-size: 0;
    display: inline-block;
    vertical-align: top; }
  .RadTreeView .rtPlus {
    background-position: 0 0; }
  .RadTreeView .rtPlusHover {
    background-position: 0 -22px; }
  .RadTreeView .rtMinus {
    background-position: 0 -11px; }
  .RadTreeView .rtMinusHover {
    background-position: 0 -33px; }
  .RadTreeView .rtLines .rtLast {
    background-image: none; }
  .RadTreeView .rtLines .rtTop,
  .RadTreeView .rtLines .rtMid,
  .RadTreeView .rtLines .rtBot {
    background-position: 0 0;
    background-repeat: no-repeat; }

  .RadTreeView[disabled],
  .RadTreeView .rtDisabled {
    filter: alpha(opacity=50);
    opacity: .5; }
  .RadTreeView[disabled] .rtDisabled {
    filter: alpha(opacity=100);
    opacity: 1; }
  .RadTreeView label {
    font-weight: normal;
    font-size: inherit;
    line-height: inherit;
    display: inline; }

.RadTreeView_rtl .rtUL .rtUL {
  padding-left: 0;
  padding-right: 20px; }

.RadTreeView_rtl .rtTop,
.RadTreeView_rtl .rtMid,
.RadTreeView_rtl .rtBot {
  padding-left: 0;
  padding-right: 20px; }

.RadTreeView_rtl .rtSp {
  margin-left: 0;
  margin-right: -1px; }

.RadTreeView_rtl .rtPlus,
.RadTreeView_rtl .rtMinus {
  margin-left: 6px;
  margin-right: -17px; }

.RadTreeView_rtl .rtPlus {
  background-position: -11px 0; }

.RadTreeView_rtl .rtPlusHover {
  background-position: -11px -22px; }

.RadTreeView_rtl .rtMinus {
  background-position: -11px -11px; }

.RadTreeView_rtl .rtMinusHover {
  background-position: -11px -33px; }


.RadTreeView_rtl .rtLines .rtLast {
  background-image: none; }

.RadTreeView_rtl .rtLines .rtTop,
.RadTreeView_rtl .rtLines .rtMid,
.RadTreeView_rtl .rtLines .rtBot {
  background-position: 100% 0; }


.rtDropAbove,
.rtDropBelow {
  border: 1px dotted black;
  font-size: 3px;
  line-height: 3px;
  height: 3px;
  margin-top: -1px; }

.rtDropAbove {
  border-bottom: 0; }

.rtDropBelow {
  border-top: 0; }

div.RadTreeView_designtime .rtTop,
div.RadTreeView_designtime .rtMid,
div.RadTreeView_designtime .rtBot {
  position: relative; }

div.RadTreeView_designtime .rtPlus,
div.RadTreeView_designtime .rtMinus {
  margin: 0;
  position: absolute;
  left: 3px;
  top: 4px; }

.rtTouchDragClue {
  margin-top: -50px; }
